evaluations
Create evaluations evaluations
Requires scopes: eval:write
POST
/
api
/
evaluations
Create evaluations evaluations
curl --request POST \
--url https://evalgate.com/api/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"executionSettings": {
"timeout": 123,
"batchSize": 123,
"parallelRuns": 123,
"retry": {
"maxRetries": 123,
"retryDelay": 123
},
"stopOnFailure": false
},
"modelSettings": {
"model": "<string>",
"temperature": 123,
"topP": 123,
"maxTokens": 123
},
"customMetrics": [
true
],
"config": true,
"testCases": [
{
"input": true,
"expectedOutput": true,
"name": "<string>",
"label": "<string>",
"metadata": true
}
],
"templates": [
true
]
}
'import requests
url = "https://evalgate.com/api/evaluations"
payload = {
"name": "<string>",
"type": "<string>",
"description": "<string>",
"executionSettings": {
"timeout": 123,
"batchSize": 123,
"parallelRuns": 123,
"retry": {
"maxRetries": 123,
"retryDelay": 123
},
"stopOnFailure": False
},
"modelSettings": {
"model": "<string>",
"temperature": 123,
"topP": 123,
"maxTokens": 123
},
"customMetrics": [True],
"config": True,
"testCases": [
{
"input": True,
"expectedOutput": True,
"name": "<string>",
"label": "<string>",
"metadata": True
}
],
"templates": [True]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
description: '<string>',
executionSettings: {
timeout: 123,
batchSize: 123,
parallelRuns: 123,
retry: {maxRetries: 123, retryDelay: 123},
stopOnFailure: false
},
modelSettings: {model: '<string>', temperature: 123, topP: 123, maxTokens: 123},
customMetrics: [true],
config: true,
testCases: [
{
input: true,
expectedOutput: true,
name: '<string>',
label: '<string>',
metadata: true
}
],
templates: [true]
})
};
fetch('https://evalgate.com/api/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"status": "<string>",
"id": 123,
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"createdBy": "<string>",
"executionSettings": {
"maxRetries": 123,
"timeout": 123,
"parallel": false,
"batchSize": 123,
"measurementPolicy": {
"enabled": true,
"evaluatorReleaseId": "<string>",
"validationType": "full",
"requestedMetrics": [
"<string>"
],
"requiredEnvironments": [
"dev"
],
"gate": {
"mode": "block",
"allowedMeasurementStatuses": [
"<string>"
],
"requireConclusiveInterval": false,
"minimumSampleSize": 123,
"maximumEce": 123,
"minimumAgreement": 123,
"maximumPositionFlipRate": 123,
"requireCoverage": false
}
}
},
"modelSettings": {
"model": "<string>",
"systemPrompt": "<string>",
"temperature": 123,
"maxTokens": 123,
"topP": 123,
"provider": "<string>",
"calibrationThreshold": 123,
"judgeStrictness": 123,
"customMetrics": [
{
"name": "<string>",
"formula": "<string>",
"weight": 123,
"threshold": 123
}
],
"calibrationMeta": {}
},
"customMetrics": [
{
"name": "<string>",
"formula": "<string>",
"weight": 123,
"threshold": 123
}
],
"executorType": "<string>",
"executorConfig": {
"type": "<string>",
"endpoint": "<string>",
"headers": {}
},
"publishedRunId": 123,
"publishedVersion": 123,
"projectKey": "<string>",
"lockedBySessionId": "<string>",
"lockAcquiredAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create evaluations evaluations
